#include "ledcard.h"

LedCard::LedCard(QObject *p) :
    QObject(p)
{


}
LedCard::~LedCard()
{

}
void LedCard::copyLedCardHTTPGetParam(LedCard *p)
{
    m_strCardId = p->m_strCardId;
    m_strCardIp = p->m_strCardIp;
    if(p->m_strCardRemarkName!="")
        m_strCardRemarkName=p->m_strCardRemarkName;
    starterversionName    = p->starterversionName  ;
    starterPort           = p->starterPort  ;
    androidVersion        = p->androidVersion  ;
    iHttpGetId            = p->iHttpGetId  ;
    androidHeight         = p->androidHeight  ;
    androidWidth          = p->androidWidth  ;
    lastActive           = p->lastActive  ;
}
void LedCard::copyLedCardHTTPPostParam(LedCard *p)
{
    strIMEI              =p->strIMEI  ;
    HardVersion          =p->HardVersion  ;
    BrightnessLevel      =p->BrightnessLevel  ;
    ScreenResolution     =p->ScreenResolution  ;
    FirmwareVersion      =p->FirmwareVersion  ;
}
bool LedCard::CompareHTTPGetParam(LedCard *p)
{
    //这里只比较httpGet devicelist打算应答
    if(m_strCardIp!=p->m_strCardIp)
        return false;
    if(m_strCardRemarkName!=p->m_strCardRemarkName)
        return false;
    if(starterversionName!=p->starterversionName)
        return false;
    if(androidVersion!=p->androidVersion) return
            false;
    if(androidWidth!=p->androidWidth) return
            false;
    if(androidHeight!=p->androidHeight) return
            false;
    //if(iCardSystemVersion!=q->iCardSystemVersion) return false;
    return true;
}
bool LedCard::CompareHTTPPostParam(LedCard *p)
{
    //这里只比较httpGet devicelist打算应答
    if(strIMEI!=p->strIMEI) return false;
    if(HardVersion!=p->HardVersion) return false;
    if(BrightnessLevel!=p->BrightnessLevel) return false;
    if(ScreenResolution!=p->ScreenResolution) return false;
    if(FirmwareVersion!=p->FirmwareVersion) return false;
    return true;
}
